//
//  SignalingNanOperandError.cpp - Implementation of the carl::SignalingNanOperandError class
//
//  Copyright (C) 2006-2008, Cybernetic Intelligence GmbH
//
//  $Date: 2008/02/22 11:54:55 $
//  $Revision: 1.6 $
//  $Author: akapusti $
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of the GNU Lesser General Public
//  License as published by the Free Software Foundation; either
//  version 2.1 of the License, or (at your option) any later version.
//  
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.
//  
//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
//////////
#include "CARL.hpp"
using namespace carl;
#include "ExceptionImpl.hpp"

//////////
//  Construction/destruction/assignment
SignalingNanOperandError::SignalingNanOperandError()
{
}

SignalingNanOperandError::SignalingNanOperandError(const SignalingNanOperandError & /*src*/)
{
}

SignalingNanOperandError::~SignalingNanOperandError()
{
}

SignalingNanOperandError & SignalingNanOperandError::operator = (const SignalingNanOperandError & /*src*/)
{
    return *this;
}

//////////
//  Operations
String SignalingNanOperandError::toString() const
{
    return _impl::_ExceptionManagerImpl::getInstance()->getResourceFactory()->getString("SignalingNanOperandError");
}

String SignalingNanOperandError::toString(const Locale & forLocale) const
{
    return _impl::_ExceptionManagerImpl::getInstance()->getResourceFactory()->getString("SignalingNanOperandError", forLocale);
}

//  End of SignalingNanOperandError.cpp
